MTを4.1からアップグレードしたいのですが、

現在使用しているDBがわかりません。サーバーはチカッパで、MYSQLかSQLITEなのですが、これはどこで調べればいいのでしょうか?

よろしくお願いいたします。

回答の条件
  • 1人2回まで
  • 登録:2009/02/20 09:37:51
  • 終了:2009/02/20 17:19:46

回答(2件)

id:taka27a No.1

taka27a回答回数3149ベストアンサー獲得回数642009/02/20 09:51:06

id:d_tanaami

mt.config.cgiのDATABASE SETTINGS以下が

このようになっています。



#================ DATABASE SETTINGS ==================

# REMOVE all sections below that refer to databases

# other than the one you will be using.

##### MYSQL #####

ObjectDriver DBI::mysql

Database DATABASE_NAME

DBUser DATABASE_USERNAME

DBPassword DATABASE_PASSWORD

DBHost localhost

##### POSTGRESQL #####

ObjectDriver DBI::postgres

Database DATABASE_NAME

DBUser DATABASE_USERNAME

DBPassword DATABASE_PASSWORD

DBHost localhost

##### SQLITE #####

ObjectDriver DBI::sqlite

Database sqlitedb

##### BERKELEYDB #####

DataSource /path/to/database/directory

DBUmask 0022

HTMLUmask 0022

UploadUmask 0022

DirUmask 0022

ここからは分からないでしょか?

お手数ですがよろしくお願い致します。

2009/02/20 10:08:23
id:moony_crescent No.2

moony_crescent回答回数123ベストアンサー獲得回数112009/02/20 17:14:37

ポイント35pt

#1で書かれてあるmt-config.cgiをみると、MY SQLはデフォルトのまま(データベース名、ユーザー名、パスワードなど)のようですので、SQLiteのようですね。

同様の質問がありました(こちらはロリポップのようですが)

http://oshiete1.watch.impress.co.jp/qa3533614.html

id:d_tanaami

ありがとうございます。SQLiteですか。4.1を使用していたのですが、ちょっとおかしかったので、

結局、最新版を新規でインストールしてしまいました。

2009/02/20 17:19:10

コメントはまだありません

この質問への反応(ブックマークコメント)

「あの人に答えてほしい」「この質問はあの人が答えられそう」というときに、回答リクエストを送ってみてましょう。

これ以上回答リクエストを送信することはできません。制限について

絞り込み :
はてなココの「ともだち」を表示します。
回答リクエストを送信したユーザーはいません